Flutter: Target Support Files/Pods-Runner/Pods-Runner-frameworks.sh: Permission denied

Issue

I have got an existing project from a client and I tried to run this on my Mac but when I’m trying to run the project I facing the following error

Further details on the error:

Xcode build done.                                           20.5s
Failed to build iOS app
Error output from Xcode build:
↳
    2020-12-28 09:53:09.348 xcodebuild[5722:80049]  DTDeviceKit: deviceType from 49f62dac6f1da634e5d71981db4d591dc9126e4b was NULL
    2020-12-28 09:53:09.449 xcodebuild[5722:80049]  DTDeviceKit: deviceType from 49f62dac6f1da634e5d71981db4d591dc9126e4b was NULL
    ** BUILD FAILED **


Xcode's output:
↳
    /Users/pkimac/Library/Developer/Xcode/DerivedData/Runner-dyvnmbcstcyeklavxcvptjfbuuka/Build/Intermediates.noindex/Runner.build/Debug-iphoneos/Runner.build/Script-9FEDFCA313C1B9E0CFFDF6D8.sh: line 2: /Users/pkimac/Desktop/rto_exam_gujarati 2/ios/Pods/Target Support Files/Pods-Runner/Pods-Runner-frameworks.sh: Permission denied
    Command PhaseScriptExecution failed with a nonzero exit code
    note: Using new build system
    note: Planning build
    note: Constructing build description

Could not build the precompiled application for the device.

Error launching application on Paresh’s iPhone.

The following is flutter doctor output:

Doctor summary (to see all details, run flutter doctor -v):
[✓] Flutter (Channel stable, 1.22.2, on Mac OS X 10.15.3 19D76, locale en-GB)
 
[✓] Android toolchain - develop for Android devices (Android SDK version 29.0.3)
[✓] Xcode - develop for iOS and macOS (Xcode 11.3.1)
[!] Android Studio (version 4.1)
    ✗ Flutter plugin not installed; this adds Flutter specific functionality.
    ✗ Dart plugin not installed; this adds Dart specific functionality.
[✓] Connected device (2 available)

! Doctor found issues in 1 category.

How can I fix this?

Solution

Actually, this is caused by deintegrating. so deintegrating all pods then reinstalling them will resolve this issue

I fixed the permission problem by running the following command.

Here is the step I solve:

  1. Open Terminal and Go to /ios folder inside your Project.
  2. Executes pod deintegrate command
  3. Then after pod install
  4. Run your project flutter run

Answered By – Paresh Mangukiya

Answer Checked By – Robin (FlutterFixes Admin)

Leave a Reply

Your email address will not be published.